Bug#582910: epiphany-browser: epiphany webkit fails to download or display PDFs

Wookey wookey at wookware.org
Mon May 24 13:41:55 UTC 2010

Package: epiphany-browser
Version: 2.29.3-1
Severity: normal

I've been using gecko-based epiphany happily for a couple of years.
The webkit version seems to have broken PDF downloading, which is a
very big deal these days.

Selecting a PDF link just produces a black page with 'Loading
<site>...' at the bottom. e.g.
says Loading "monodraught.com"...

With the previous gecko version the file was downloaded and handed off
to evince in a very pleasing manner.

and it just sits there. Nothing ever seems to be downloaded and thus
evince is not started.

Webkit doesn't seem to have about:config 'internal URL' so I don't
know how to find out what extensions are loaded, or otherwise debug
this problem, but it's _really_ annoying so I'm happy to poke about
and try to find out what's wrong if given some direction.

- -- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'stable'), (400, 'unstable')
Architecture: amd64 (x86_64)
Kernel: Linux 2.6.32-3-amd64 (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash
Versions of packages epiphany-browser depends on:
ii  dbus-x11                 1.2.20-2        simple interprocess messaging syst
ii  epiphany-browser-data    2.29.3-1        Data files for the GNOME web brows
ii  gnome-icon-theme         2.28.0-1        GNOME Desktop icon theme
ii  iso-codes                3.14-1          ISO language, territory, currency,
ii  libavahi-client3         0.6.25-3        Avahi client library
ii  libavahi-common3         0.6.25-3        Avahi common library
ii  libavahi-gobject0        0.6.25-3        Avahi GObject library
ii  libc6                    2.10.2-6        Embedded GNU C Library: Shared lib
ii  libdbus-1-3              1.2.20-2        simple interprocess messaging syst
ii  libdbus-glib-1-2         0.84-1          simple interprocess messaging syst
ii  libgconf2-4              2.28.0-1        GNOME configuration database syste
ii  libgirepository1.0-0     0.6.8-1         Library for handling GObject intro
ii  libglib2.0-0             2.22.4-1        The GLib library of C routines
ii  libgnome-keyring0        2.28.2-1        GNOME keyring services library
ii  libgtk2.0-0              2.18.9-2        The GTK+ graphical user interface
ii  libice6                  2:1.0.6-1       X11 Inter-Client Exchange library
ii  libnotify1 [libnotify1-g 0.4.5-1         sends desktop notifications to a n
ii  libnspr4-0d              4.8.4-1         NetScape Portable Runtime Library
ii  libnss3-1d               3.12.5-2        Network Security Service libraries
ii  libpango1.0-0            1.26.2-2        Layout and rendering of internatio
ii  libseed0                 2.28.1-1        GObject JavaScript bindings for th
ii  libsm6                   2:1.1.1-1       X11 Session Management library
ii  libsoup-gnome2.4-1       2.29.91-1       an HTTP library implementation in
ii  libsoup2.4-1             2.29.91-1       an HTTP library implementation in
ii  libwebkit-1.0-2          1.1.17-2        Web content engine library for Gtk
ii  libx11-6                 2:1.3.3-2       X11 client-side library
ii  libxml2                  2.7.6.dfsg-2+b1 GNOME XML library
ii  libxslt1.1               1.1.26-2        XSLT processing library - runtime

Versions of packages epiphany-browser recommends:
ii  yelp      

Versions of packages epiphany-browser suggests:
pn  mozplugger                    <none>     (no description available)

- -- no debconf information

Principal hats:  iEndian - Balloonboard - Toby Churchill - Emdebian

More information about the pkg-gnome-maintainers mailing list